summaryrefslogtreecommitdiffstats
path: root/fb-client-up
diff options
context:
space:
mode:
authorFlorian Pritz <bluewind@xinu.at>2013-05-11 13:27:07 +0200
committerFlorian Pritz <bluewind@xinu.at>2013-05-11 13:27:07 +0200
commit60cb01f9a81c311f914aed4a23e8e5b35e965918 (patch)
tree8b9109a8f1bcf37506755e0e77b83b0a026cda57 /fb-client-up
parenta9ba01279e6f3c64b082f4de6e7d95cd1b5f7dab (diff)
downloadbin-60cb01f9a81c311f914aed4a23e8e5b35e965918.tar.gz
bin-60cb01f9a81c311f914aed4a23e8e5b35e965918.tar.xz
soem more cleanup
Signed-off-by: Florian Pritz <bluewind@xinu.at>
Diffstat (limited to 'fb-client-up')
-rwxr-xr-xfb-client-up29
1 files changed, 29 insertions, 0 deletions
diff --git a/fb-client-up b/fb-client-up
new file mode 100755
index 0000000..1bbf273
--- /dev/null
+++ b/fb-client-up
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+set -e
+
+branch="${1:-master}"
+
+TMPDIR="`mktemp -d "/tmp/fb-client-up.XXXXXX"`"
+trap "rm -rf '${TMPDIR}'" EXIT TERM
+
+cd "$TMPDIR"
+git clone ~/git/fb .
+git checkout "$branch"
+
+VERSION="$(make version)"
+
+git tag --verify "v$VERSION"
+
+echo "==> Building release tarball"
+make dist
+echo "==> Building finished"
+
+gpg --detach-sign "dist/fb-$VERSION.tar.gz"
+scp "dist/fb-$VERSION.tar.gz" dist/fb-$VERSION.tar.gz.sig web-filebin@karif:public_html/data/client
+
+if [[ $branch = "master" ]]; then
+ ssh web-filebin@karif echo "$VERSION" \> public_html/data/client/latest
+fi
+
+echo "released version: $VERSION"